package com.ruoyi.project.patrol.dev.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.patrol.dev.mapper.TDevWaterPumpMapper;
import com.ruoyi.project.patrol.dev.domain.TDevWaterPump;
import com.ruoyi.project.patrol.dev.service.ITDevWaterPumpService;

/**
 * 水泵接合器Service业务层处理
 * 
 * @author admin
 * @date 2023-11-08
 */
@Service
public class TDevWaterPumpServiceImpl implements ITDevWaterPumpService 
{
    @Autowired
    private TDevWaterPumpMapper tDevWaterPumpMapper;

    /**
     * 查询水泵接合器
     * 
     * @param id 水泵接合器主键
     * @return 水泵接合器
     */
    @Override
    public TDevWaterPump selectTDevWaterPumpById(Long id)
    {
        return tDevWaterPumpMapper.selectTDevWaterPumpById(id);
    }

    /**
     * 查询水泵接合器列表
     * 
     * @param tDevWaterPump 水泵接合器
     * @return 水泵接合器
     */
    @Override
    public List<TDevWaterPump> selectTDevWaterPumpList(TDevWaterPump tDevWaterPump)
    {
        return tDevWaterPumpMapper.selectTDevWaterPumpList(tDevWaterPump);
    }

    /**
     * 新增水泵接合器
     * 
     * @param tDevWaterPump 水泵接合器
     * @return 结果
     */
    @Override
    public int insertTDevWaterPump(TDevWaterPump tDevWaterPump)
    {
        return tDevWaterPumpMapper.insertTDevWaterPump(tDevWaterPump);
    }

    /**
     * 修改水泵接合器
     * 
     * @param tDevWaterPump 水泵接合器
     * @return 结果
     */
    @Override
    public int updateTDevWaterPump(TDevWaterPump tDevWaterPump)
    {
        return tDevWaterPumpMapper.updateTDevWaterPump(tDevWaterPump);
    }

    /**
     * 批量删除水泵接合器
     * 
     * @param ids 需要删除的水泵接合器主键
     * @return 结果
     */
    @Override
    public int deleteTDevWaterPumpByIds(Long[] ids)
    {
        return tDevWaterPumpMapper.deleteTDevWaterPumpByIds(ids);
    }

    /**
     * 删除水泵接合器信息
     * 
     * @param id 水泵接合器主键
     * @return 结果
     */
    @Override
    public int deleteTDevWaterPumpById(Long id)
    {
        return tDevWaterPumpMapper.deleteTDevWaterPumpById(id);
    }
}
